# GearmanJob::sendFail

(PECL gearman >= 0.6.0)

GearmanJob::sendFail — Send fail status

### Description

public GearmanJob::sendFail ( void ) : bool

Sends failure status for this job, indicating that the job failed in a known way (as opposed to failing due to a thrown exception).

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::sendException() - Send exception for running job (exception)
- GearmanJob::setReturn() - Set a return value
- GearmanJob::sendStatus() - Send status
- GearmanJob::sendWarning() - Send a warning